---
updatedAt: 2026-05-27T22:29:10.000Z
agentTools:
  projectIndex: https://docs.spinwheel.io/llms.txt
---

# Delete a Refresh Subscription

This endpoint allows you to delete a Refresh Subscription for a User.

Please note this will only delete the credit report subscription. The user will still be available with the most recent credit report data.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "paths": {
    "/v1/users/{userId}/creditProfile/equifax/subscriptions/{subscriptionId}": {
      "delete": {
        "operationId": "Delete Subscription",
        "summary": "Delete a Refresh Subscription",
        "description": "This endpoint allows you to delete a Refresh Subscription for a User.",
        "parameters": [
          {
            "name": "userId",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "subscriptionId",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseStatus"
                },
                "examples": {
                  "Delete a Subscription": {
                    "value": {
                      "status": {
                        "code": 200,
                        "desc": "Credit profile equifax subscription with id ca7d40fc-2462-4fd4-ae04-f27f0bf6f5b0 for user e340d836-e87e-4b8c-bef4-fa9f66186c69 deleted successfully!"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BadRequestResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UnauthorizedResponse"
                }
              }
            }
          },
          "404": {
            "description": "User Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CreditProfileEquifaxSubscriptionsErrorResponse"
                },
                "examples": {
                  "User Not Found": {
                    "value": {
                      "status": {
                        "code": 404,
                        "desc": "USER_NOT_FOUND",
                        "messages": [
                          {
                            "desc": "User not found."
                          }
                        ]
                      }
                    }
                  },
                  "Subscription Not Found": {
                    "value": {
                      "status": {
                        "code": 404,
                        "desc": "SUBSCRIPTION_NOT_FOUND",
                        "messages": [
                          {
                            "desc": "Subscription not found."
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CreditProfileEquifaxSubscriptionsErrorResponse"
                },
                "examples": {
                  "Request Failed": {
                    "value": {
                      "status": {
                        "code": 500,
                        "desc": "REQUEST_FAILED",
                        "messages": [
                          {
                            "desc": "Failed to order Equifax credit report. Please contact Spinwheel support."
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "tags": [
          "Debt Profile"
        ]
      }
    }
  },
  "info": {
    "title": "Discover",
    "description": "Welcome to Spinwheel's documentation! ",
    "version": "1.0",
    "contact": {}
  },
  "tags": [
    {
      "name": "Debt Profile"
    }
  ],
  "servers": [
    {
      "url": "https://sandbox-api.spinwheel.io"
    },
    {
      "url": "https://api.spinwheel.io"
    },
    {
      "url": "https://secure-api.spinwheel.io"
    },
    {
      "url": "https://secure-sandbox-api.spinwheel.io"
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Once you've created a Spinwheel account and received credentials, you can access all of Spinwheel's APIs using a server-to-server call (in order to protect your credentials). When calling an API simply include your secretKey as a bearer token in an auth header like so: \n\n `Authorization: Bearer 8ae8d6fa-df8d-4c5d-9f9b-c4e4c10968b0`"
      }
    },
    "schemas": {
      "BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 400
          },
          "desc": {
            "type": "string",
            "example": "Bad request"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "BadRequestResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/BadRequest"
          }
        },
        "required": [
          "status"
        ]
      },
      "Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 401
          },
          "desc": {
            "type": "string",
            "example": "Invalid private key"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "UnauthorizedResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/Unauthorized"
          }
        },
        "required": [
          "status"
        ]
      },
      "Message": {
        "type": "object",
        "properties": {
          "desc": {
            "type": "string",
            "example": "Example status description"
          },
          "type": {
            "enum": [
              "ERROR",
              "WARN",
              "INFO"
            ],
            "type": "string",
            "example": "ERROR"
          }
        },
        "required": [
          "desc"
        ]
      },
      "ResponseStatus": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 200
          },
          "desc": {
            "type": "string",
            "example": "success"
          },
          "messages": {
            "example": [
              {
                "desc": "Example description"
              }
            ],
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Message"
            }
          }
        }
      },
      "CreditProfileEquifaxSubscriptionsErrorResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/ResponseStatus"
          }
        },
        "required": [
          "status"
        ]
      }
    }
  }
}
```